#
# spec file for package qtc (Version 0.7a)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           qtc
BuildRequires:  libdrm-devel libjpeg-devel qt3-devel update-desktop-files
License:        LGPL-2.1+
Group:          System/GUI/KDE
Summary:        C Bindings for Qt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.usermode.org/code.html
Version:        0.7a
Release:        246.1
%define rversion 20030416
Provides:       kdebindings3-c
Obsoletes:      kdebindings3-c
Source:         %name-qtsharp-%version.tar.bz2
Patch:          %name-%version-gcc4.patch

%description
This package contains needed libraries to write applications in plain C
(not C++) for Qt.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n %name-qtsharp-%rversion
%patch -p1 

%build
export PATH=/usr/lib/qt3/bin:$PATH
qmake INSTALLDIR=%_libdir
make -k

%install
# broken ....
#make INSTALL_ROOT=$RPM_BUILD_ROOT/ install
mkdir -p $RPM_BUILD_ROOT/%_libdir
cp -av clib/qtc/libqtc.* $RPM_BUILD_ROOT/%_libdir/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README
%_libdir/libqt*

%changelog
* Wed Dec 26 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May  6 2005 yxu@suse.de
- fixed for GCC4
* Mon Jan 10 2005 adrian@suse.de
- fix build, qmake isn't in default PATH anymore
* Thu Nov 11 2004 coolo@suse.de
- fixing file list for debug packages
* Mon Sep  6 2004 adrian@suse.de
- initial package of c bindings for Qt
  (C bindings in kdebindings are not maintained anymore)
